## ocamlnet 4.1.8

=== Makefile ===
# make all: compiles the configured packages with ocamlc
# make opt: compiles the configured packages with ocamlopt
# make install: installs the configured packages
# make clean: cleans everything up

# Inclusion of Makefile.conf may fail when cleaning up:
-include Makefile.conf

NAME=ocamlnet
TOP_DIR=.

# PKGLIST: should be set in Makefile.conf. It contains the packages to
# compile and to install. The following assignment sets it to its 
# default value if no Makefile.conf exists.
PKGLIST ?= netstring cgi

.PHONY: build
build: all
	if ocamlopt 2>/dev/null; then $(MAKE) opt; fi

.PHONY: all
all: tools
	for pkg in $(PKGLIST); do \
		( cd src/$$pkg && $(MAKE) -f Makefile.pre generate ) || exit; \
		( cd src/$$pkg && $(MAKE) -f Makefile.pre depend ) || exit; \
		( cd src/$$pkg && $(MAKE) all ) || exit; \
	done

.PHONY: opt
opt: tools
	for pkg in $(PKGLIST); do \
		( cd src/$$pkg && $(MAKE) -f Makefile.pre generate ) || exit; \
		( cd src/$$pkg && $(MAKE) -f Makefile.pre depend ) || exit; \
		( cd src/$$pkg && $(MAKE) opt ) || exit; \
	done


.PHONY: doc
doc:
	for pkg in src/*/.; do \
	    test ! -f $$pkg/Makefile -o -f $$pkg/doc-ignore || \
		{ ( cd $$pkg && $(MAKE) -f Makefile.pre generate ) || exit; \
		  ( cd $$pkg && $(MAKE) -f Makefile.pre depend ) || exit; \
		  ( cd $$pkg && $(MAKE) doc-dump ) || exit; \
		}; \
	done
	cd doc; $(MAKE) doc

.PHONY: tools
tools:
	( cd tools/cppo-$(CPPO_VERSION) && rm -f depend && $(MAKE) -f Makefile.pre generate && $(MAKE) all )
	( cd tools/unimap_to_ocaml && $(MAKE) all )


# The following PHONY rule is important for Cygwin:
.PHONY: install
install:
	for pkg in $(PKGLIST); do \
		( cd src/$$pkg && $(MAKE) -f Makefile.pre install ) || exit; \
	done

.PHONY: uninstall
uninstall:
	for pkg in src/*/.; do \
		test ! -f $$pkg/Makefile || \
			( cd $$pkg && $(MAKE) -f Makefile.pre uninstall); \
	done

.PHONY: clean
clean:
	for pkg in src/*/.; do \
		test ! -f $$pkg/Makefile || \
			( cd $$pkg && $(MAKE) -f Makefile.pre clean); \
	done
	if test -f doc/Makefile; then cd doc && $(MAKE) clean; fi
	( cd tools/cppo-$(CPPO_VERSION) && $(MAKE) clean )
	( cd tools/unimap_to_ocaml && $(MAKE) clean )

.PHONY: clean-doc
clean-doc:
	for pkg in src/*/.; do \
		test ! -f $$pkg/Makefile -o -f $$pkg/doc-ignore || \
			( cd $$pkg && $(MAKE) -f Makefile.pre clean-doc); \
	done
	cd doc && $(MAKE) clean-doc

.PHONY: CLEAN
CLEAN: clean

.PHONY: distclean
distclean:
	rm -f Makefile.conf 
	rm -rf tmp
	for pkg in src/*/.; do \
		test ! -f $$pkg/Makefile || \
			( cd $$pkg && $(MAKE) -f Makefile.pre distclean); \
	done

# That one is for oasis

.PHONY: postconf
postconf:
	cat setup.save >>setup.data


# phony because VERSION may also change
.PHONY: _oasis
_oasis: _oasis.in
	v=`./configure -version`; sed -e 's/@VERSION@/'"$$v/" _oasis.in >_oasis
	oasis setup

=== examples/netsys/Makefile ===
all: sem_pingpong

clean:
	rm -f *.cmi *.cmo *.cma *.cmx *.o *.a
	rm -f sem_pingpong

sem_pingpong: sem_pingpong.ml
	ocamlfind ocamlopt -o sem_pingpong -package netsys -linkpkg \
		sem_pingpong.ml

=== src/netclient/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME = netclient
OBJECTS =  nethttp_client_conncache.cmo nethttp_client.cmo nettelnet_client.cmo \
	   netftp_data_endpoint.cmo netftp_client.cmo \
	   nethttp_fs.cmo netftp_fs.cmo netsmtp.cmo netpop.cmo \
	   netldap.cmo
DOBJECTS = nethttp_client_conncache.mli nethttp_client.mli nettelnet_client.mli \
	   netftp_data_endpoint.mli netftp_client.mli \
	   nethttp_fs.mli netftp_fs.mli netsmtp.mli netpop.mli netldap.mli \
           netclient_tut.txt

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"


INCLUDES = $(INC_EQUEUE) $(INC_NETSTRING) $(INC_NETSYS)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/netshm/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME = netshm
OBJECTS = netshm.cmo netshm_data.cmo netshm_hashtbl.cmo netshm_array.cmo
DOBJECTS = netshm.mli netshm_data.mli netshm_hashtbl.mli netshm_array.mli \
	   netshm_intro.txt

INCLUDES += $(INC_NETSYS)

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

include $(TOP_DIR)/Makefile.rules

include depend

=== src/nettls-gnutls/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf
# include Makefile.conf

PKGNAME  = nettls-gnutls
OBJECTS  = nettls_gnutls_bindings.cmo \
	   nettls_nettle_bindings.cmo \
	   nettls_gnutls_config.cmo \
           nettls_gnutls.cmo
COBJECTS = nettls_gnutls_bindings_stubs.o \
	   nettls_nettle_bindings_stubs.o
DOBJECTS = nettls_gnutls_bindings.mli \
	   nettls_nettle_bindings.mli \
	   nettls_gnutls.mli

LINK_OPTIONS = $(NETTLS_GNUTLS_LINK_OPTIONS)
#LINK_OPTIONS = -lgnutls

CC_OPTIONS = $(NETTLS_GNUTLS_CFLAGS)
CC_OPTIONS_FOR_nettls_gnutls_bindings_stubs.c = -ccopt -Wno-unused-function

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

INCLUDES = $(INC_NETSYS) $(INC_NETSTRING)
NODEP = @true

DOC_IGNORABLE = true

include $(TOP_DIR)/Makefile.rules

nettls_gnutls_bindings.cmo : nettls_gnutls_bindings.cmi
nettls_gnutls_bindings.cmx : nettls_gnutls_bindings.cmi
nettls_nettle_bindings.cmo : nettls_gnutls_bindings.cmi \
    nettls_nettle_bindings.cmi
nettls_nettle_bindings.cmx : nettls_gnutls_bindings.cmx \
    nettls_nettle_bindings.cmi
nettls_gnutls.cmo : nettls_nettle_bindings.cmi nettls_gnutls_config.cmo \
    nettls_gnutls_bindings.cmi nettls_gnutls.cmi
nettls_gnutls.cmx : nettls_nettle_bindings.cmx nettls_gnutls_config.cmx \
    nettls_gnutls_bindings.cmx nettls_gnutls.cmi
nettls_gnutls_bindings.cmi :
nettls_nettle_bindings.cmi :
nettls_gnutls.cmi : nettls_gnutls_bindings.cmi
nettls_gnutls_config.cmo :
nettls_gnutls_config.cmx :

.PHONY: cobjects
cobjects: $(COBJECTS)

nettls_gnutls_bindings.ml: done_reconfigure
	@:

nettls_gnutls_bindings.mli: done_reconfigure
	@:

nettls_gnutls_bindings_stubs.c: done_reconfigure
	@:

nettls_nettls_bindings.ml: done_reconfigure
	@:

nettls_nettle_bindings.mli: done_reconfigure
	@:

nettls_nettle_bindings_stubs.c: done_reconfigure
	@:

nettls_gnutls_config.ml: done_reconfigure
	@:

done_reconfigure: gnutls.descr gnutls.c gnutls.ml gnutls.mli \
	          nettle.descr nettle.c nettle.ml nettle.mli
	./reconfigure

=== src/rpc-generator/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME  = rpc-generator
ARCHIVE  = rpc_generator
OBJECTS  = config.cmo syntax.cmo options.cmo parser.cmo lexer.cmo rename.cmo \
           generate.cmo direct.cmo
DOBJECTS = 

ALL_EXTRA = ocamlrpcgen$(EXEC_SUFFIX) rpcgen-packlist

PACKLIST = rpcgen-packlist

INCLUDES += $(INC_NETSTRING)

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

include $(TOP_DIR)/Makefile.rules

ocamlrpcgen$(EXEC_SUFFIX): $(ARCHIVE).cma main.cmo
	rm -f ocamlrpcgen ocamlrpcgen$(EXEC_SUFFIX)
	OCAMLPATH="..$(PATH_SEP)$$OCAMLPATH" \
	$(OCAMLC) -custom -o ocamlrpcgen \
		-package unix,netstring,$(REGEXP_PROVIDER) \
		$(ARCHIVE).cma main.cmo -linkpkg

rpcgen-packlist:
	echo $(BINDIR)/ocamlrpcgen >rpcgen-packlist

include depend

=== src/rpc/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME  = rpc
OBJECTS  = rpc.cmo rpc_common.cmo \
           rpc_program.cmo rpc_util.cmo rpc_portmapper_aux.cmo \
           rpc_packer.cmo rpc_transport.cmo rpc_client_pre.cmo \
	   rpc_portmapper_clnt.cmo rpc_portmapper_impl.cmo \
           rpc_client.cmo rpc_simple_client.cmo rpc_portmapper.cmo \
           rpc_server.cmo rpc_auth_sys.cmo \
	   rpc_auth_gssapi_aux.cmo rpc_auth_gssapi.cmo \
	   rpc_proxy.cmo
DOBJECTS = rpc.mli \
           rpc_program.mli rpc_util.mli rpc_portmapper_aux.mli \
           rpc_packer.mli rpc_transport.mli rpc_client.mli \
           rpc_simple_client.mli rpc_portmapper_clnt.mli rpc_portmapper.mli \
           rpc_server.mli rpc_auth_sys.mli rpc_auth_gssapi.mli \
	   rpc_proxy.mli \
	   rpc_intro.txt rpc_mapping_ref.txt rpc_intro_gss.txt

# rpc_packer.ml is full of incomplete matchings, but this is ok:
OCAMLC_OPTIONS_FOR_rpc_packer.ml = -w p
OCAMLOPT_OPTIONS_FOR_rpc_packer.ml = -w p

# rpc_portmapper.ml is full of incomplete matchings, but this is ok:
OCAMLC_OPTIONS_FOR_rpc_portmapper.ml = -w p
OCAMLOPT_OPTIONS_FOR_rpc_portmapper.ml = -w p

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

INCLUDES += $(INC_EQUEUE) $(INC_NETSYS) $(INC_NETSTRING) $(INC_NETGSSAPI)

include $(TOP_DIR)/Makefile.rules

include depend

=== examples/cgi/netcgi2-plex/Makefile ===
netplex: add.ml netplex.ml
	ocamlfind ocamlc -g -o netplex -package "netcgi2-plex" -linkpkg \
		add.ml netplex.ml -thread

.PHONY: clean
clean:
	rm -f *.cmi *.cmo *.cmx *.o
	rm -f netplex

=== examples/equeue/filecopy_lablgtk/Makefile ===
# make all: 		make program
# make clean: 		remove intermediate files

#----------------------------------------------------------------------
# specific rules for this package:

OBJECTS  = filecopy.cmo
NAME     = filecopy
REQUIRES = equeue-gtk2

all: $(OBJECTS)
	$(OCAMLC) -o filecopy filecopy.cmo  -linkpkg  -g -custom


#----------------------------------------------------------------------
# general rules:

DEBUG     =
OPTIONS   =
OCAMLC    = ocamlfind ocamlc $(DEBUG) $(OPTIONS) -package "$(REQUIRES)"
OCAMLOPT  = ocamlfind ocamlopt $(OPTIONS) $(ROPTIONS) -package "$(REQUIRES)"
OCAMLDEP  = ocamldep $(OPTIONS)
OCAMLFIND = ocamlfind


.PHONY: clean
clean:
	rm -f *.cmi *.cmo *.cma *.cmx *.o *.a *.cmxa filecopy

.PHONY: CLEAN
CLEAN: clean

.PHONY: distclean
distclean: clean
	rm -f *~ a.old a.new

.SUFFIXES: .cmo .cmi .cmx .ml .mli

.ml.cmx:
	$(OCAMLOPT) -c $<

.ml.cmo:
	$(OCAMLC) -c -g $<

.mli.cmi:
	$(OCAMLC) -c $<

=== examples/rpc/queues/Makefile ===
TOP_DIR = ../../..
include $(TOP_DIR)/Makefile.rules
include $(TOP_DIR)/Makefile.xrules

XDRFILES = queues.x

RPCGEN_AUX_OPTIONS    = -int int32 -hyper int64
RPCGEN_CLIENT_OPTIONS = -int int32 -hyper int64
RPCGEN_SERVER_OPTIONS = -int int32 -hyper int64

CLEAN_LIST += qclient qserver *.astamp *.cstamp *.s2stamp \
	      *.crt *.key *.templ

all:
	$(MAKE) gen
	$(MAKE) depend
	$(MAKE) -f Makefile.code all

opt:
	$(MAKE) gen
	$(MAKE) depend
	$(MAKE) -f Makefile.code opt

gen: $(XDRFILES:.x=.astamp) $(XDRFILES:.x=.cstamp) $(XDRFILES:.x=.s2stamp)

=== tools/cppo-0.9.4/examples/Makefile ===
.PHONY: all clean
all:
	../cppo debug.ml > debug.out
	../cppo french.ml > french.out
	ocamllex lexer.mll
	../cppo lexer.ml > lexer.out
clean:
	rm -f *.out lexer.ml

=== debian/changelog ===
ocamlnet (4.1.8-2) unstable; urgency=medium

  * Call ./configure with OCAML_CUSTOM_USE_OUTPUT_COMPLETE_EXE unset

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 17:32:59 +0200

ocamlnet (4.1.8-1) unstable; urgency=medium

  * New upstream release
  * Do not rely on PATH_MAX (Closes: #844038)
  * libocamlnet-ocaml-doc: add Multi-Arch: foreign

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 13:12:23 +0200

ocamlnet (4.1.6-2) unstable; urgency=medium

  * Add empty dh_dwz override (Closes: #965300)
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jul 2020 13:14:43 +0200

=== debian/control ===
Source: ocamlnet
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml (>= 0.9),
 dh-apache2,
 ocaml-nox (>= 4),
 camlp4,
 ocaml-findlib (>= 1.4),
 libfindlib-ocaml-dev,
 libpcre-ocaml-dev (>= 6.0.1-2~),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~),
 libzip-ocaml-dev,
 libgnutls28-dev,
 apache2-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://projects.camlcity.org/projects/ocamlnet.html
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlnet.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlnet

Package: libocamlnet-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libocamlnet-ocaml-doc,
 libnethttpd-ocaml-dev
Provides:
 libequeue-ocaml-dev,
 libnetclient-ocaml-dev,
 librpc-ocaml-dev,
 ${ocaml:Provides}
Description: OCaml application-level Internet libraries - core development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use the core
 Ocamlnet libraries in your programs. The following libraries are
 packaged separately: SSL-related libraries (libocamlnet-ssl-ocaml-dev),
 GTK-related libraries (libocamlnet-gtk2-ocaml-dev), nethttpd
 (libnethttpd-ocaml-dev). The netcgi2 Apache connector is also part of
 this package; to run applications built for that connector you will
 need the mod_netcgi_apache Apache module (libapache2-mod-ocamlnet).

Package: libocamlnet-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 libequeue-ocaml,
 ${ocaml:Provides}
Description: OCaml application-level Internet libraries - core runtime libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains only the shared runtime stub libraries for the
 core Ocamlnet libraries. Stub libraries for SSL-related components are
 available in the libocamlnet-ssl-ocaml-dev package.

Package: libocamlnet-ocaml-bin
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-dev
Description: OCaml application-level Internet libraries - binaries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the binaries ocamlrpcgen (a helper for creating
 RPC stubs) and netplex-admin (generic administration tool for netplex
 systems).

Package: libocamlnet-gtk2-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-doc
Provides:
 libequeue-gtk2-ocaml-dev,
 ${ocaml:Provides}
Description: OCaml application-level Internet libraries - GTK2 development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use GTK-related
 libraries of Ocamlnet in your programs.

Package: libocamlnet-ssl-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-doc
Description: OCaml application-level Internet libraries - SSL development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use SSL-related
 libraries of Ocamlnet in your programs.

Package: libocamlnet-ssl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml application-level Internet libraries - SSL runtime libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains only the shared runtime stub libraries for the
 SSL-related libraries of Ocamlnet.

Package: libnethttpd-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: libocamlnet-ocaml-doc
Description: OCaml application-level Internet libraries - HTTP daemon development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use the
 nethttpd library in your programs.

Package: libapache2-mod-netcgi-apache
Architecture: any
Section: httpd
Depends:
 libocamlnet-ocaml-dev (= ${binary:Version}),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libapache2-mod-ocamlnet (<< 3.6)
Replaces: libapache2-mod-ocamlnet (<< 3.6)
Provides: libapache2-mod-ocamlnet
# This package contains only an Apache module, dh_ocaml doesn't work on it!
Description: OCaml application-level Internet libraries - netcgi2 Apache2 connector
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the mod_netcgi_apache Apache module. You will
 need this module to run web applications built using the netcgi2 Apache

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

PKGNAME = libocamlnet-ocaml-dev
DESTDIR = $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR = $(DESTDIR)$(OCAML_STDLIB_DIR)

BUILD_TARGET = all
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
BUILD_TARGET += opt
endif

CFGFLAGS =
CFGFLAGS += -enable-gtk2
CFGFLAGS += -with-nethttpd -prefer-netcgi2
CFGFLAGS += -bindir /usr/bin -datadir /usr/share/ocamlnet
CFGFLAGS += -enable-apache -apache /usr/sbin/apache2 -apxs /usr/bin/apxs2
CFGFLAGS += -enable-pcre -enable-zip
CFGFLAGS += -enable-gnutls

%:
	dh $@ --with ocaml,apache2

.PHONY: override_dh_auto_configure
override_dh_auto_configure: Makefile.conf

Makefile.conf:
	OCAML_CUSTOM_USE_OUTPUT_COMPLETE_EXE= ./configure $(CFGFLAGS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
# In some build environments (especially cowbuilder and Ubuntu
# autobuilders), many netsys autotests fail even though the feature is
# available (LP: #257524)
	@echo
	@echo "The following netsys features will be forced:"
	@if grep '#undef ' src/netsys/config.h; then \
	  sed -i 's/#undef /#define /' src/netsys/config.h; \
	else \
	  echo "none"; \
	fi
	@echo
endif

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(BUILD_TARGET)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)

.PHONY: override_dh_auto_clean
override_dh_auto_clean: Makefile.conf
	$(MAKE) distclean

override_dh_missing:
	dh_missing --fail-missing -X.so.owner -Xmod_netcgi_apache.so

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ml

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## ocamlnet 4.1.9

=== src/equeue-gtk1/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf
include ./Makefile.gtk
# Sets GTK_PKG, GTK_VERSION, ARCHIVE, FL_NAME

PKGNAME = $(FL_NAME)
OBJECTS = uq_gtk_helper.cmo uq_gtk.cmo
DOBJECTS = uq_gtk.mli

INCLUDES += $(INC_EQUEUE)
INCLUDES += $(INC_NETSYS)

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(GTK_DEFINES) $(PP_BYTES) $(PP_DEPRECATED)"

NODEP = @true

include $(TOP_DIR)/Makefile.rules

REQUIRES += $(GTK_PKG)
GTK_DEFINES += -D $(GTK_VERSION)
DOC_IGNORABLE = true

# Manual deps so we don't need ocamldep:
uq_gtk.cmo: uq_gtk_helper.cmo
uq_gtk.cmo: uq_gtk.cmi
uq_gtk.cmx: uq_gtk_helper.cmx
uq_gtk.cmx: uq_gtk.cmi

=== src/equeue-tcl/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME  = equeue-tcl
ARCHIVE  = equeue_tcl
OBJECTS  = uq_tcl.cmo
DOBJECTS = uq_tcl.mli
COBJECTS = tclqueue.o

LINK_OPTIONS = $(EQUEUE_TCL_LIBS)
CC_OPTIONS = $(EQUEUE_TCL_DEFS)

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

DOC_IGNORABLE = true

INCLUDES += $(INC_EQUEUE)
INCLUDES += $(INC_NETSYS)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/equeue/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME = equeue
OBJECTS = equeue.cmo unixqueue_util.cmo unixqueue_pollset.cmo \
          unixqueue_select.cmo unixqueue.cmo \
	  uq_resolver.cmo \
          uq_engines.cmo uq_multiplex.cmo uq_transfer.cmo \
          uq_io.cmo uq_lwt.cmo \
	  uq_libevent.cmo uq_mt.cmo uq_client.cmo uq_server.cmo \
          uq_datagram.cmo uq_socks5.cmo uq_engines_compat.cmo
DOBJECTS = equeue.mli unixqueue.mli unixqueue_pollset.mli \
           unixqueue_select.mli \
	   uq_resolver.mli \
           uq_engines.mli uq_multiplex.mli uq_transfer.mli \
           uq_socks5.mli uq_io.mli uq_lwt.mli \
	   uq_libevent.mli uq_mt.mli uq_client.mli uq_server.mli  \
	   uq_datagram.mli uq_engines_compat.mli \
           equeue_intro.txt equeue_howto.txt

INCLUDES += $(INC_NETSYS)
INCLUDES += $(INC_NETSTRING)

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

include $(TOP_DIR)/Makefile.rules

include depend

=== src/netcgi2-apache/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME = netcgi2-apache
# Keep the name in sync with the one on handler.c :
BUILD_EXTRA = mod_netcgi_apache.so

INCLUDES += $(INC_NETSTRING) $(INC_NETSYS) $(INC_NETCGI2)
REQUIRES += findlib

OBJECTS = netcgi_apache.cmo netcgi_modtpl.cmo
DOBJECTS = netcgi_apache.mli netcgi_modtpl.mli

ALL_EXTRA = mod_netcgi_apache.so
INSTALL_EXTRA = mod_netcgi_apache.so 500netcgi_apache.info

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

DOC_IGNORABLE = true

include $(TOP_DIR)/Makefile.rules

ifeq ($(APACHE_MAJOR),2)
APACHE_LDFLAGS_SHLIB += -lapr-1 -laprutil-1
endif

# mod_netcgi_apache.so: apache.lo handler.lo wrappers.lo netcgi_apache_mod.cmo
# 	$(OCAMLC) -verbose -custom -linkall -o $@ \
# 	  -cc "$(APXS) -c $(filter %.lo,$^)" \
# 	  dynlink.cma unix.cma $(filter-out %.lo,$^) \
# 	  -cclib '$(APACHE_CFLAGS) $(APACHE_LDFLAGS_SHLIB) $(APACHE_OCAMLLIBS)'
# $(patsubst %.o,.libs/%.o,$^) \

# %.o: %.c
# 	$(APACHE_CC) $(APACHE_CFLAGS) -I $(APACHE_OCAMLLIBDIR) -c $<

# -Wl,-bI:$(APACHE_LIBDIR)/httpd.exp
# mod_netcgi_apache.so: netcgi_apache_mod.cmo apache.o handler.o wrappers.o
# 	$(OCAMLC) -o $@ -verbose -linkall -custom \
# 	  -ccopt -Wl,--warn-unresolved-symbols \
# 	  dynlink.cma unix.cma $(patsubst %.o, ./.libs/%.o, $^) \
# 	  -cclib "$(APACHE_CFLAGS) $(APACHE_LDFLAGS_SHLIB) $(APACHE_OCAMLLIBS)"

MOD_OBJECTS := wrappers.o handler.o apache.o netcgi_apache_mod.o

# must be after the `include' for APACHE_MAJOR to be defined
ifeq ($(APACHE_MAJOR),2)
MOD_OBJECTS := $(patsubst %.o,%.lo,$(MOD_OBJECTS))
else
MOD_OBJECTS := $(MOD_OBJECTS)
endif

### Embed Caml code into the C code.
### Requires `caml_startup' instead of `caml_main' in handler.c
### Only works with OCaml >= 3.11 on plafforms where PIC differs from non-PIC
### See http://caml.inria.fr/mantis/view.php?id=3866
mod_netcgi_apache.so: $(MOD_OBJECTS)
	$(APXS) -c -o $@ $^ -L$(APACHE_OCAMLLIBDIR) -Wl,-R,$(APACHE_OCAMLLIBDIR) $(APACHE_OCAMLLIBS)
	test -f .libs/$@ && cp .libs/$@ .

netcgi_apache_mod.lo: netcgi_apache_mod.o
	echo "$@ generated by the rule for $^"
netcgi_apache_mod.o: netcgi_apache_mod.ml
	$(OCAMLC) -verbose -output-obj -linkall -o $@ \
	  -cc "./drive-apxs $(APXS)" \
	  -package "dynlink bytes unix findlib" -linkpkg $^

%.o: %.c
	$(APXS) -I$(APACHE_OCAMLLIBDIR) -c $<
%.lo: %.c
	$(APXS) -I$(APACHE_OCAMLLIBDIR) -c $<

include depend

=== src/netcgi2-plex/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME  = netcgi2-plex
OBJECTS  = netcgi_plex.cmo
DOBJECTS = netcgi_plex.mli

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

INCLUDES += -I ../netcgi2 -I ../netplex -I ../netsys

include $(TOP_DIR)/Makefile.rules

include depend

=== src/netcgi2/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME  = netcgi
OBJECTS  = netcgi_common.cmo netcgi.cmo \
	netcgi_ajp.cmo netcgi_scgi.cmo netcgi_cgi.cmo \
	netcgi_fcgi.cmo  netcgi_dbi.cmo \
	netcgi1_compat.cmo \
	netcgi_test.cmo

DOBJECTS = netcgi_common.mli netcgi.mli \
	netcgi_ajp.mli netcgi_scgi.mli netcgi_cgi.mli \
	netcgi_fcgi.mli  netcgi_dbi.mli \
	netcgi1_compat.mli \
	netcgi_test.mli \
	netcgi_porting.txt

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

INCLUDES += $(INC_NETSTRING) $(INC_NETSYS)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/netstring-pcre/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME = netstring-pcre
OBJECTS =  netstring_pcre.cmo
DOBJECTS = netstring_pcre.mli

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

DOC_IGNORABLE = true

include $(TOP_DIR)/Makefile.rules

REQUIRES += bytes pcre

include depend

=== src/netstring/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

OBJECTS  = netconst.cmo netstring_str.cmo netbuffer.cmo netunichar.cmo \
	   netaux.cmo netstring_tstring.cmo \
           netchannels.cmo netchannels_crypto.cmo netsockaddr.cmo \
	   netdb.cmo netmappings_asn1.cmo netmappings.cmo netconversion.cmo \
           netulex.cmo netencoding.cmo netstream.cmo netdate.cmo \
	   netmime_string.cmo \
           nethtml_scanner.cmo nethtml.cmo \
	   neturl.cmo neturl_ldap.cmo netsaslprep_data.cmo netsaslprep.cmo \
	   netaddress.cmo netcompression.cmo \
	   netmime.cmo netmime_header.cmo netmime_channels.cmo \
	   netsendmail.cmo nethttp.cmo \
	   netpagebuffer.cmo netfs.cmo netglob_lex.cmo netglob.cmo \
	   netauth.cmo netnumber.cmo netxdr_mstring.cmo netxdr.cmo \
	   netasn1.cmo netasn1_encode.cmo netoid.cmo netdn.cmo netx509.cmo \
           netascii_armor.cmo netx509_pubkey.cmo netx509_pubkey_crypto.cmo \
	   nettls_support.cmo \
	   netgssapi_support.cmo netgssapi_auth.cmo \
	   netmech_scram.cmo netmech_scram_gssapi.cmo netmech_scram_sasl.cmo \
	   netmech_scram_http.cmo \
	   netmech_plain_sasl.cmo netmech_crammd5_sasl.cmo \
	   netmech_digest.cmo netmech_digest_sasl.cmo \
	   netmech_digest_http.cmo netmech_gs2_sasl.cmo netmech_krb5_sasl.cmo \
	   netmech_spnego_http.cmo

PKGNAME  = netstring

REQUIRES += $(REGEXP_PROVIDER_MAKE) bigarray
INCLUDES += $(INC_NETSYS)
INCLUDES += -I ../netstring-pcre

DOBJECTS = netconversion.mli netchannels.mli netstream.mli netmime_string.mli \
	netmime.mli netsendmail.mli neturl.mli netaddress.mli netbuffer.mli \
	netmime_header.mli netmime_channels.mli neturl_ldap.mli \
	netdate.mli netencoding.mli netulex.mli netaccel.mli \
	netaccel_link.mli nethtml.mli netstring_str.mli \
	netmappings.mli netaux.mli nethttp.mli netpagebuffer.mli \
	netfs.mli netglob.mli netauth.mli netsockaddr.mli \
        netnumber.mli netxdr_mstring.mli netxdr.mli \
	netcompression.mli netunichar.mli netasn1.mli netasn1_encode.mli \
	netoid.mli netstring_tstring.mli \
	netdn.mli netx509.mli netascii_armor.mli nettls_support.mli \
	netmech_scram.mli netmech_scram_gssapi.mli netmech_scram_sasl.mli \
        netmech_scram_http.mli \
	netgssapi_support.mli netgssapi_auth.mli netchannels_crypto.mli \
	netx509_pubkey.mli netx509_pubkey_crypto.mli netsaslprep.mli \
	netmech_plain_sasl.mli netmech_crammd5_sasl.mli \
	netmech_digest_sasl.mli netmech_digest_http.mli \
	netmech_krb5_sasl.mli netmech_gs2_sasl.mli netmech_spnego_http.mli \
	netchannels_tut.txt netmime_tut.txt netsendmail_tut.txt \
	netulex_tut.txt neturl_tut.txt

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(NETNUMBER_DEFS) $(REGEXP_DEFS) $(PP_BYTES) $(PP_DEPRECATED)"

ALL_EXTRA = netaccel.cma netaccel_link.cmo netstring_top.cmo

netaccel.cma: netaccel_c.o netaccel.cmo
	$(OCAMLMKLIB) -o netaccel -oc netaccel_c netaccel_c.o netaccel.cmo

NETNUMBER_DEFS = -D WORDSIZE_$(WORD_SIZE) -D HOST_IS_$(ENDIANESS) \
                 -D USE_NETSYS_XDR

OCAMLOPT_OPTIONS_FOR_netbuffer.ml = -inline 10
OCAMLOPT_OPTIONS_FOR_netnumber.ml = -inline 10
OCAMLOPT_OPTIONS_FOR_xdr.ml = -inline 5
OCAMLC_OPTIONS_FOR_netstring_top.ml = -I +compiler-libs

include $(TOP_DIR)/Makefile.rules

distclean::
	$(MAKE) clean

include depend

=== src/netsys/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf
include Makefile.conf

PKGNAME  = netsys
OBJECTS  = netsys_conf.cmo netsys_types.cmo \
           netlog.cmo netexn.cmo netsys_impl_util.cmo netsys_mem.cmo \
	   netsys_signal.cmo netsys_crypto_types.cmo netsys_crypto.cmo \
	   netsys_crypto_modes.cmo \
	   netsys_posix.cmo netsys_win32.cmo netsys_tls.cmo netsys.cmo \
	   netsys_ciphers.cmo netsys_digests.cmo netsys_rng.cmo \
	   netsys_pollset.cmo netsys_pollset_posix.cmo \
	   netsys_pollset_win32.cmo netsys_pollset_generic.cmo \
	   netsys_xdr.cmo netsys_tmp.cmo \
	   netsys_sem.cmo netsys_pmanage.cmo netsys_global.cmo \
	   netsys_gssapi.cmo netsys_sasl_types.cmo netsys_sasl_util.cmo \
	   netsys_sasl.cmo netsys_polypipe.cmo netsys_polysocket.cmo
COBJECTS = netsys_c.o netsys_c_poll.o netsys_c_fadvise.o \
	   netsys_c_fallocate.o netsys_c_ioprio.o netsys_c_locale.o \
           netsys_c_multicast.o netsys_c_sem.o netsys_c_shm.o \
           netsys_c_spawn.o netsys_c_subprocess.o netsys_c_syslog.o \
	   netsys_c_clock.o netsys_c_event.o \
           netsys_c_win32.o netsys_c_htab.o netsys_c_queue.o \
           netsys_c_mem.o netsys_c_xdr.o netsys_c_ip6.o
DOBJECTS = netsys.mli netsys_posix.mli netsys_pollset.mli netlog.mli \
           netexn.mli netsys_win32.mli netsys_pollset_posix.mli \
           netsys_pollset_win32.mli netsys_pollset_generic.mli \
           netsys_signal.mli netsys_oothr.mli netsys_xdr.mli \
	   netsys_rng.mli netsys_crypto_types.mli \
	   netsys_types.mli netsys_mem.mli netsys_tmp.mli \
	   netsys_sem.mli netsys_pmanage.mli netsys_crypto.mli netsys_tls.mli \
	   netsys_ciphers.mli netsys_digests.mli netsys_crypto_modes.mli \
	   netsys_gssapi.mli netsys_sasl_types.mli netsys_sasl.mli \
	   netsys_polypipe.mli netsys_polysocket.mli netsys_global.mli
LINK_OPTIONS = $(NETSYS_LINK_OPTIONS)

ALL_EXTRA = netsys_oothr.cma $(OOH_OBJECT)
ALLMT_EXTRA = netsys_oothr_mt.cma netsys_oothr_mt_init.cmo
OPT_EXTRA = netsys_oothr.cmxa netsys_c_gprof.o $(OOH_OBJECT)
OPTP_EXTRA = netsys_oothr.p.cmxa netsys_gprof_init.cmx
OPTMT_EXTRA = netsys_oothr_mt.cmxa netsys_oothr_mt_init.cmx
OPTMTP_EXTRA = netsys_oothr_mt.p.cmxa netsys_oothr_mt_init.cmx
ifeq ($(HAVE_SHARED),1)
OPT_EXTRA += netsys_oothr.cmxs
OPTP_EXTRA += netsys_oothr.p.cmxs
OPTMT_EXTRA += netsys_oothr_mt.cmxs netsys_oothr_mt_init.cmxs
OPTMTP_EXTRA += netsys_oothr_mt.p.cmxs
endif
# Note: we cannot refer here to *.p.cmx because there is no direct
# rule to build these files from .ml. They are implicitly built
# when the corresponding *.cmx (without .p) is created.

OCAMLC_OPTIONS_FOR_netsys_oothr_mt.mli = $(THREAD)
OCAMLC_OPTIONS_FOR_netsys_oothr_mt.ml = $(THREAD)
OCAMLC_OPTIONS_FOR_netsys_oothr_mt_init.mli = $(THREAD)
OCAMLC_OPTIONS_FOR_netsys_oothr_mt_init.ml = $(THREAD)
OCAMLOPT_OPTIONS_FOR_netsys_oothr_mt.ml = $(THREAD)
OCAMLOPT_OPTIONS_FOR_netsys_oothr_mt_init.ml = $(THREAD)
OCAMLC_OPTIONS_FOR_netsys_c_xdr.c = -ccopt -O

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(DEF_O_SHARE_DELETE) $(DEF_O_CLOEXEC) $(DEF_O_KEEPEXEC) $(PP_BYTES) $(PP_DEPRECATED)"

INSTALL_EXTRA += netsys_c_event.h $(OOH_OBJECT)

include $(TOP_DIR)/Makefile.rules

netsys_types.ml: netsys_types.mli
	echo '(* WARNING! THIS IS A COPY OF NETSYS_TYPES.MLI! *)' \
	    >netsys_types.ml
	cat netsys_types.mli >> netsys_types.ml

netsys_types.cmo: netsys_types.cmi
netsys_types.cmx: netsys_types.cmi

CLEAN_LIST += netsys_types.ml

.PHONY: cobjects
cobjects: $(COBJECTS)

netsys_oothr.cma: netsys_oothr.cmo
	$(OCAMLC) -o netsys_oothr.cma -a netsys_oothr.cmo

netsys_oothr.cmxa: netsys_oothr.cmx
	$(OCAMLOPT) -o netsys_oothr.cmxa -a netsys_oothr.cmx

netsys_oothr.cmxs: netsys_oothr.cmxa
	$(OCAMLOPT) -linkall -shared -o netsys_oothr.cmxs netsys_oothr.cmxa

netsys_oothr.p.cmxa: netsys_oothr.cmx
	$(OCAMLOPT) -o netsys_oothr.p.cmxa -a netsys_oothr.p.cmx

netsys_oothr.p.cmxs: netsys_oothr.p.cmxa
	$(OCAMLOPT) -linkall -shared -o netsys_oothr.p.cmxs netsys_oothr.p.cmxa

netsys_oothr_mt.cma: netsys_oothr.cmo netsys_oothr_mt.cmo
	$(OCAMLC) -o netsys_oothr_mt.cma -a \
		netsys_oothr.cmo netsys_oothr_mt.cmo

netsys_oothr_mt.cmxa: netsys_oothr.cmx netsys_oothr-$(MT_TYPE)
	$(OCAMLOPT) -o netsys_oothr_mt.cmxa -a \
		netsys_oothr.cmx netsys_oothr_mt.cmx

netsys_oothr_mt.cmxs: netsys_oothr_mt.cmxa
	$(OCAMLOPT) -linkall -shared -o netsys_oothr_mt.cmxs netsys_oothr_mt.cmxa

netsys_oothr_mt_init.cmxs: netsys_oothr_mt_init.cmx
	$(OCAMLOPT) -linkall -shared -o netsys_oothr_mt_init.cmxs netsys_oothr_mt_init.cmx

netsys_oothr_mt.p.cmxa: netsys_oothr.cmx netsys_oothr-$(MT_TYPE)
	$(OCAMLOPT) -o netsys_oothr_mt.p.cmxa -a \
		netsys_oothr.p.cmx netsys_oothr_mt.p.cmx

netsys_oothr_mt.p.cmxs: netsys_oothr_mt.p.cmxa
	$(OCAMLOPT) -linkall -shared -o netsys_oothr_mt.p.cmxs \
		netsys_oothr_mt.p.cmxa

.PHONY: netsys_oothr-vm netsys_oothr-posix
netsys_oothr-vm:

netsys_oothr-posix: netsys_oothr_mt.cmx


clean::
	rm -f configtests/*.o configtests/*.err
	rm -f configtests/posix_shm

include depend

=== src/rpc-auth-local/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME  = rpc-auth-local
OBJECTS  = rpc_auth_local.cmo
COBJECTS = rpclocal.o
DOBJECTS = rpc_auth_local.mli
ARCHIVE = rpc_auth_local

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

DOC_IGNORABLE = true

INCLUDES += $(INC_RPC) $(INC_NETSYS)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/shell/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf

PKGNAME  = shell
OBJECTS  = shell_sys.cmo shell.cmo shell_uq.cmo shell_fs.cmo
DOBJECTS = shell_sys.mli shell.mli shell_uq.mli shell_fs.mli \
	   shell_intro.txt

OCAMLC_OPTIONS += $(STRING_OPTS)
OCAMLOPT_OPTIONS += $(STRING_OPTS)

PP_OPTIONS = -pp "$(CPPO) $(PP_BYTES) $(PP_DEPRECATED)"

INCLUDES += $(INC_EQUEUE) $(INC_NETSYS) $(INC_NETSTRING)

include $(TOP_DIR)/Makefile.rules

include depend

=== examples/cgi/netcgi_modtpl/Makefile ===
# $Id: Makefile,v 1.4 2005/09/04 22:10:24 chris_77 Exp $
TOP_DIR=../../..

include $(TOP_DIR)/Makefile.rules

INCLUDES += $(INC_NETSTRING) $(INC_NETSYS) $(INC_NETCGI2) $(INC_NETCGI2_APACHE)

LIBS_CMA	= str.cma unix.cma bigarray.cma netsys.cma netstring.cma \
  netcgi.cma netcgi2-apache.cma
OCAMLC_FLAGS	= -dtypes $(INCLUDES)
OCAMLOPT_FLAGS	= -dtypes $(INCLUDES)


PROGRAMS=hello.ml params.ml


######################################################################

.PHONY: all opt byte
all: byte opt
# Extensions choosen for M$win
byte: $(PROGRAMS:.ml=.exe)
opt: $(PROGRAMS:.ml=.com)



%.exe: %.ml
	$(OCAMLC) -o $@ $(OCAMLC_FLAGS) $(LIBS_CMA) \
	  $(filter-out %.ml, $^) $(filter %.ml, $^)
%.com: %.ml
	$(OCAMLOPT) -o $@ $(OCAMLOPT_FLAGS) $(LIBS_CMA:.cma=.cmxa) \
	  $(filter-out %.ml, $^) $(filter %.ml, $^)

include depend

clean::
	rm -f *~ *.cm{i,o,x,a,xa} *.annot *.{a,o} *.tmp *.exe *.com

=== debian/changelog ===
ocamlnet (4.1.9-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 10:49:24 +0100

ocamlnet (4.1.9-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Feb 2022 04:51:33 +0100

ocamlnet (4.1.8-3) unstable; urgency=medium

  * Add OCaml stdlib dir to C_INCLUDE_PATH
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4
  * Fix Lintian override about mod_netcgi_apache.so

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Dec 2021 08:59:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml (>= 0.9),
+ dh-ocaml,
  dh-apache2,
- ocaml-nox (>= 4),
+ ocaml,
  camlp4,
  ocaml-findlib (>= 1.4),
  libfindlib-ocaml-dev,
@@ -17,7 +17,7 @@
  libzip-ocaml-dev,
  libgnutls28-dev,
  apache2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://projects.camlcity.org/projects/ocamlnet.html
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlnet.git

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 PKGNAME = libocamlnet-ocaml-dev
 DESTDIR = $(CURDIR)/debian/tmp
 export OCAMLFIND_DESTDIR = $(DESTDIR)$(OCAML_STDLIB_DIR)
+
+export C_INCLUDE_PATH := $(OCAML_STDLIB_DIR)
 
 BUILD_TARGET = all
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)

=== debian/watch ===
version=4
opts=uversionmangle=s/&#48\x3b/0/ \
http://download.camlcity.org/download/ocamlnet-(.*)\.tar\.gz
